[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TFileItem.Create

Constructor for the class instance.

## Declaration

Source position: shellctrls.pas line 68

`public constructor TFileItem.Create(`
`const DirInfo: TSearchRec;`
`ABasePath: string`
`);`

## Arguments

`DirInfo` |  | TSearchRec instance with the directory information for the file item.
`ABasePath` |  | Contains the path on the local file system where the file item is stored.

## Description

Create stores values in the DirInfo and ABasePath arguments to the FileInfo and BasePath properties in the class instance. isFolder is updated to indicate whether the file item is a directory on the local file system.

## See also

TFileItem.isFolder |  | True when the item represents a folder on the local file system.
TFileItem.BasePath |  | Path to the directory where the file item is stored on the local file system.
TFileItem.FileInfo |  | TSearchRec instance with information about the file or directory in the item.